Bug 140244 - Error in spec-file.
Error in spec-file.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libxslt (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 13:41 EST by Peter (Zebar) Astakhov
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.6.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-14 05:40:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter (Zebar) Astakhov 2004-11-21 13:41:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041117 Firefox/1.0

Description of problem:
Maintainer must add
BuildRequires: libgcrypt-devel

W/o this package kdewebdev not build.

Version-Release number of selected component (if applicable):
kdewebdev-3.3.1-1

How reproducible:
Always

Steps to Reproduce:
1.rpm -e libgcrypt-devel
2. rpmbuild --rebuild kdewebdev-3.3.1-1.src.rpm - you do net get
message libgcrypt-devel needed for this package, but compilling will
finish with error

    

Additional info:
Comment 1 Ngo Than 2004-11-23 08:38:35 EST
it's a bug in libxslt. The libexslt-devel should have the requires
libgcrypt-devel.

cat /usr/lib/libexslt.la

# Libraries that this one depends upon.
dependency_libs=' -L/usr/lib -lgcrypt -lgpg-error /usr/lib/libxslt.la
/usr/lib/libxml2.la -lz -lpthread -lm'
Comment 2 Daniel Veillard 2004-11-23 18:00:17 EST
Unclear ... how do you get libxslt libs command line. You
must use xslt-config --libs to get the required list.
The libxslt package autodetect libgcrypt availability,
and set those informations accordingly. If you don't
use xslt-config --libs then kdewebdev is broken, if not,
then provide the exact link error you get.


Daniel
Comment 3 Daniel Veillard 2005-03-14 05:40:22 EST
libxslt-devel now requires libgcrypt-devel, fixed in rawhise,

Daniel

Note You need to log in before you can comment on or make changes to this bug.